%define pkgname check 

Name:          libcheck
Version:       0.15.0
Release:       1mamba
Summary:       A unit test framework for C
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@qilinux.it>
URL:           http://sourceforge.net/projects/check
Source:		   https://github.com/libcheck/check/releases/download/%{version}/check-%{version}.tar.gz
#Source:        http://downloads.sourceforge.net/sourceforge/check/check-%{version}.tar.gz
License:       LGPL
Requires(post):%{__install_info}
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

# FIXME : checking for docbook2html... no

%description
Check is a unit test framework for C.
It features a simple interface for defining unit tests, putting little in the way of the developer.
Tests are run in a separate address space, so Check can catch both assertion failures and code errors that cause segmentation faults or other signals.
The output from unit tests can be used within source code editors and IDEs.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Check is a unit test framework for C.
It features a simple interface for defining unit tests, putting little in the way of the developer.
Tests are run in a separate address space, so Check can catch both assertion failures and code errors that cause segmentation faults or other signals.
The output from unit tests can be used within source code editors and IDEs.

This package contains static libraries and header files need for development.

%prep
%setup -q -n check-%{version}

%build
%configure
make CFLAGS="%{optflags} -fPIC"

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

mv %{buildroot}%{_datadir}/doc/check \
   %{buildroot}%{_datadir}/doc/check-%{version}

# libcheck_pic library needed by gstreamer 0.10
#ln -s libcheck.so %{buildroot}%{_libdir}/libcheck_pic.so
#cp %{buildroot}%{_libdir}/libcheck.la \
#   %{buildroot}%{_libdir}/libcheck_pic.la

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel
%install_info %{pkgname}.info
exit 0

%preun devel
%uninstall_info %{pkgname}.info
exit 0

%files
%defattr(-,root,root)
%{_bindir}/checkmk
%{_mandir}/man1/checkmk.1.gz
%{_libdir}/libcheck.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/libcheck.a
%{_libdir}/libcheck.la
#%{_libdir}/libcheck_pic.la
%{_libdir}/libcheck.so
#%{_libdir}/libcheck_pic.so
%{_libdir}/pkgconfig/check.pc
%{_datadir}/aclocal/check.m4
%{_datadir}/doc/check-%{version}/
%{_includedir}/check.h
%{_includedir}/check_stdint.h
%{_infodir}/%{pkgname}.info.*

%changelog
* Thu Jun 25 2020 Automatic Build System <autodist@mambasoft.it> 0.15.0-1mamba
- automatic version update by autodist

* Tue Jan 28 2020 Automatic Build System <autodist@mambasoft.it> 0.14.0-1mamba
- automatic version update by autodist

* Tue Oct 22 2019 Automatic Build System <autodist@mambasoft.it> 0.13.0-1mamba
- automatic version update by autodist

* Wed Dec 20 2017 Automatic Build System <autodist@mambasoft.it> 0.12.0-1mamba
- automatic version update by autodist

* Fri Apr 14 2017 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.11.0-1mamba
- update to 0.11.0

* Mon Aug 10 2015 Automatic Build System <autodist@mambasoft.it> 0.10.0-1mamba
- automatic update by autodist

* Wed Aug 20 2014 Automatic Build System <autodist@mambasoft.it> 0.9.14-1mamba
- automatic version update by autodist

* Wed Jun 04 2014 Automatic Build System <autodist@mambasoft.it> 0.9.13-1mamba
- automatic version update by autodist

* Thu Apr 10 2014 Automatic Build System <autodist@mambasoft.it> 0.9.12-1mamba
- automatic version update by autodist

* Sat Nov 09 2013 Automatic Build System <autodist@mambasoft.it> 0.9.11-1mamba
- automatic update by autodist

* Sat May 04 2013 Automatic Build System <autodist@mambasoft.it> 0.9.10-1mamba
- automatic version update by autodist

* Sun Dec 02 2012 Automatic Build System <autodist@mambasoft.it> 0.9.9-1mamba
- automatic version update by autodist

* Fri May 07 2010 Automatic Build System <autodist@mambasoft.it> 0.9.8-1mamba
- automatic update by autodist

* Thu Jan 29 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.6-1mamba
- automatic update by autodist

* Thu Jun 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.5-2mamba
- specfile updated

* Thu Jan 18 2007 Davide Madrisan <davide.madrisan@qilinux.it> 0.9.5-1qilnx
- update to version 0.9.5 by autospec

* Tue Dec 13 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.9.3-1qilnx
- package created by autospec
